Bug 635214 - [abrt] ibus-1.3.6-1.fc12: bus.py:61:__init__:DBusException: org.freedesktop.DBus.Error.NoServer: Failed to connect to socket /tmp/dbus-UreAsayPBa: Connection refused
[abrt] ibus-1.3.6-1.fc12: bus.py:61:__init__:DBusException: org.freedesktop.D...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:78656d46
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-18 01:56 EDT by Ahamed Rasheed C K
Modified: 2010-11-04 00:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 00:46:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (872 bytes, text/plain)
2010-09-18 01:56 EDT, Ahamed Rasheed C K
no flags Details

  None (edit)
Description Ahamed Rasheed C K 2010-09-18 01:56:01 EDT
abrt version: 1.1.13
architecture: i686
cmdline: python /usr/share/ibus/ui/gtk/main.py
component: ibus
executable: /usr/share/ibus/ui/gtk/main.py
kernel: 2.6.32.14-127.fc12.i686
package: ibus-1.3.6-1.fc12
reason: bus.py:61:__init__:DBusException: org.freedesktop.DBus.Error.NoServer: Failed to connect to socket /tmp/dbus-UreAsayPBa: Connection refused
release: Fedora release 12 (Constantine)
time: 1284788557
uid: 500

backtrace
-----
bus.py:61:__init__:DBusException: org.freedesktop.DBus.Error.NoServer: Failed to connect to socket /tmp/dbus-UreAsayPBa: Connection refused

Traceback (most recent call last):
  File "/usr/share/ibus/ui/gtk/main.py", line 116, in <module>
    main()
  File "/usr/share/ibus/ui/gtk/main.py", line 110, in main
    launch_panel()
  File "/usr/share/ibus/ui/gtk/main.py", line 81, in launch_panel
    UIApplication().run()
  File "/usr/share/ibus/ui/gtk/main.py", line 45, in __init__
    self.__bus = ibus.Bus()
  File "/usr/lib/python2.6/site-packages/ibus/bus.py", line 61, in __init__
    self.__dbusconn = dbus.connection.Connection(common.get_address())
DBusException: org.freedesktop.DBus.Error.NoServer: Failed to connect to socket /tmp/dbus-UreAsayPBa: Connection refused

Local variables in innermost frame:
self: <Bus object at 0x9d237d4 (PYIBusBus at 0x9c8ee40)>
Comment 1 Ahamed Rasheed C K 2010-09-18 01:56:05 EDT
Created attachment 448166 [details]
File: backtrace
Comment 2 fujiwara 2010-09-26 21:18:10 EDT
I don't see any problems.

How about running ibus-daemon by manual?

% ps -ef | grep ibus
% pkill ibus-daemon
% ibus-daemon --xim --verbose

How about trying a new user account?

(In reply to comment #0)
> Failed to connect to socket /tmp/dbus-UreAsayPBa: Connection refused
> uid: 500
> 

Is the uid 500 your id and do you have the write permission?

% ls -l /tmp/dbus-UreAsayPBa
Comment 3 Bug Zapper 2010-11-03 06:02:35 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.